★ TouchArcade needs your help. Click here to support us on Patreon.

Games that require only iOS 4.3?

03-06-2014, 08:59 AM
#11
Joined: Jul 2013
Posts: 294
Quote:
Originally Posted by SherlockEB View Post
Same here iPhone 3GS on iOS 5.0.1 and iPad mini retina, I don't remember all games I played on my iPhone but here is what I remember:
Oceanhorn
Geometry Dash
Mikey Shorts
Mikey Hooks(I'm not sure about this one)
Flathulthu
Cover Orange 2
Mos Speedrun
Mutant Mudds might work
Ghost Trick:Phantom Detective
Real Racing 2
League of Evil

Chaos Rings Omega
Final Fantasy 3
Backstab
Nova 2
Thanks Sherlock, I'll look into those. Oceanhorn on 3GS, really?!

Btw, two games that came out last night support 4.3, Smash Hit and 5by5. Smash Hit is awesome!
03-06-2014, 09:07 AM
#12
Quote:
Originally Posted by CzechCongo View Post
Thanks Sherlock, I'll look into those. Oceanhorn on 3GS, really?!

Btw, two games that came out last night support 4.3, Smash Hit and 5by5. Smash Hit is awesome!
Oceanhorn is a little laggy but definitely playable. I'll look into Smash Hit
03-06-2014, 09:24 AM
#13
Joined: Jul 2013
Posts: 294
Quote:
Originally Posted by CzechCongo View Post
Thanks Sherlock, I'll look into those. Oceanhorn on 3GS, really?!

Btw, two games that came out last night support 4.3, Smash Hit and 5by5. Smash Hit is awesome!
Replying to myself...
Those 2 games may support 4.3 but don't really work on my 3GS. Smash Hit would load but was increasingly laggy until crashing, even on low graphics setting. 5by5 installed but did not run.

Both work great on my mini, including smash hit on high graphics setting.